clanlib (1.0~svn3827-6) unstable; urgency=medium

  * Team upload.
  * Let std::make_pair() infer its type parameters. (Closes: #831082)

 -- Stephen Kitt <skitt@debian.org>  Sat, 06 Aug 2016 09:54:17 +0200

clanlib (1.0~svn3827-5) unstable; urgency=medium

  * Team upload.
  * Migrate to git.
  * Acknowledge NMU, thanks Tobias! (Closes: #811017)
  * Apply Chris Lamb's patch to make the build reproducible. (Closes:
    #790357)
  * Switch to short dh rules, "3.0 (quilt)" source format and debhelper
    compatibility level 9. (Closes: #821971)
  * Remove references to the remote logo. (Closes: #796077)
  * Restrict the libasound2-dev build-dependency using linux-any. (Closes:
    #634700)
  * Build-depend on libmikmod-dev. (Closes: #744908)
  * Use dpkg-buildflags to set the flags (in particular, this gives useful
    debug packages).
  * Enable all hardening options.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Jun 2016 15:37:49 +0200

clanlib (1.0~svn3827-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch for libpng1.6 (Closes: #649552)
  * Update B-D to libpng-dev. (Closes: #662288)

 -- Tobias Frost <tobi@debian.org>  Thu, 14 Jan 2016 21:16:16 +0100

clanlib (1.0~svn3827-4) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition. (Closes: #790999)

  [ Simon McVittie ]
  * Revert addition of lintian overrides for the v5 package names,
    which are not necessary with an up-to-date lintian.
  * Fix a stray instance of libclansdl-1.0 in debian/rules
  * Fix dangling symlinks /usr/share/doc/libclanlib-dev, .../libclansdl-1.0v5

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Aug 2015 09:40:10 +0100

clanlib (1.0~svn3827-3) unstable; urgency=low

  * Team upload.
  * Prepare for libjpeg8 transition. Thanks to Bill Allombert to point this
    out! (Closes: #633548)
    * No longer build-depend on libjpeg62-deb but libjpeg-dev
    * libclanlib-dev no longer recommends libjpeg62-dev but libjpeg-dev

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 13 Jul 2011 13:44:07 +0200

clanlib (1.0~svn3827-2) unstable; urgency=low

  [ Barry deFreese ]
  * Add missing copyright holder to debian/copyright.
  * Clean up debian/copyright layout.
  * Upload to unstable.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 29 Sep 2009 21:45:33 -0400

clanlib (1.0~svn3827-1) experimental; urgency=low

  [ Barry deFreese ]
  * New upstream release. (Taken from upstream svn).
    + Remove patches no longer needed.
    + Refresh old patches.
    + Use autotools on build instead of rebootstrap patch.
    + Rename binary packages for SONAME bump.
  * Add README.source file for quilt.
  * Bump Standards Version to 3.8.3. (No changes needed).

  [ Christoph Egger ]
  * Fix missing includes when building with gcc 4.4 (Closes: #528942)
    Thanks to Martin Michlmayr for the patch

 -- Barry deFreese <bdefreese@debian.org>  Wed, 23 Sep 2009 13:37:09 -0400

clanlib (0.8.1-2) unstable; urgency=low

  [ Christoph Egger ]
  * Fixing Lintian Error about obsolete package.

  [ Barry deFreese ]
  * Update my e-mail address.
  * Remove build-dep and suggests for hermes1. (Closes: #513951).
  * Add ${misc:Depends} for debhelper package.
  * Remove duplicate Sections in control.
  * Remove first person verbage from package description.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 15 May 2009 16:40:36 -0400

clanlib (0.8.1-1) unstable; urgency=low

  [ Sam Hocevar ]
  * New upstream release (Closes: #188449, #299524, #383972).
    + Clanlib no longer ships lua. (Closes: #467577, #467578).
      + Removed all lua build-deps and deps.
  * Set maintainer to the Games team (Closes: #414533).
  * Use quilt for patch management.
  * debian/control:
    + Merged clanlib-examples into clanlib-doc.
    + Got rid of all libclanlib* modules. Now we only have libclanapp-0.8-1
      and libclansdl-0.8-1. There is no longer an fbdev output (but it can
      be activated through SDL), hence fbdev bugs are no longer relevant
      (Closes: #60031).
  * debian/scripts:
    + Got rid of the cruft in there, quilt does everything far better. We get
      rid of the bashisms at the same time (Closes: #372272).
  * debian/compat:
    + Set compat to 5.
  * debian/copyright:
    + Added list of copyright holders and fixed license.
  * debian/patches/005_am_maintainer_mode.diff:
    + Set AM_MAINTAINER_MODE.
  * debian/patches/300_rebootstrap.diff:
    + Rebootstrap package.

  [ Barry deFreese ]
  * Add watch file.
  * Add Homepage field in control.
  * Make distclean not ignore errors.
  * Move doc from rules to clanlib-doc.install.
  * Remove root / from .install files.
  * Add build-dependencies: libxmu-dev, libxi-dev, xsltproc, libsdl1.2-dev, 
    + libsdl-gfx1.2-dev, libasound2-dev.
  * 305_gcc43.diff - Build with gcc-4.3. (Closes: #454818).
  * Bump Standards Version to 3.7.3. (No changes needed).
  * Add myself to uploaders.

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*

 -- Barry deFreese <bddebian@comcast.net>  Wed, 19 Mar 2008 13:06:37 -0400

clanlib (0.6.5-1-4) unstable; urgency=low

  * QA upload. (ACK NMU; Closes: #357317,#376564)
  * Set maintainer to QA Group; Orphaned: #414533
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 26 Mar 2007 09:52:10 +0200

clanlib (0.6.5-1-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on automake1.9. (Closes: #376564)

 -- Eric Dorland <eric@debian.org>  Sat,  2 Sep 2006 17:28:02 -0400

clanlib (0.6.5-1-3.2) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/017_gcc-4.1-fix: Remove extra qualification from C++ header
    file.  Closes: #357317.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 12:33:18 +0200

clanlib (0.6.5-1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename libraries from "c2" to "c2a" for the C++ mt allocator ABI
    transition; conflict/replace the old libs accordingly.  Closes: #339157.

 -- Steve Langasek <vorlon@debian.org>  Mon, 28 Nov 2005 04:32:46 -0800

clanlib (0.6.5-1-3) unstable; urgency=medium

  * Drop xlibmesa-dev and xlibs-static-pic builddeps.
  * Acknowledge NMUs. (Closes: #245773, #239460, #266645, #321779, #324118)
  * GNU/kFreeBSD patch was already applied. (Closes: #327701)

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 11 Sep 2005 16:32:21 +0200

clanlib (0.6.5-1-2.5) unstable; urgency=medium

  * 0-day NMU (BSP).
  * Make libclanlib2-dev depends on libglu1-xorg-dev as an alternative to
    'xlibmesa-dev | libgl-dev' to reflect the new package name for the
    GLU library.
  * Added a patch to support GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  9 Sep 2005 23:09:27 +0200

clanlib (0.6.5-1-2.4) unstable; urgency=low

  * Non-maintainer upload to move the library to new C++ ABI.
  * Correct borken NMU, moving debian/libclanlib2.install to
    debian/libclanlib2c2.install to populate the package
    with files. (Closes: #324118, #326093)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  3 Sep 2005 16:34:24 +0200

clanlib (0.6.5-1-2.3) unstable; urgency=low

  * Non-maintainer upload to move the library to new C++ ABI.
    (Closes: #321779)
  * Rename package names to reflect the new ABI:
      libclanlib2      -> libclanlib2c2,
      libclan2-gl      -> libclan2c2-gl,
      libclan2-gui     -> libclan2c2-gui,
      libclan2-jpeg    -> libclan2c2-jpeg,
      libclan2-lua     -> libclan2c2-lua,
      libclan2-mikmod  -> libclan2c2-mikmod,
      libclan2-network -> libclan2c2-network,
      libclan2-png     -> libclan2c2-png,
      libclan2-sound   -> libclan2c2-sound,
      libclan2-ttf     -> libclan2c2-ttf,
      libclan2-vorbis  -> libclan2c2-vorbis
    The change affects debian/control, debian/rules and
    debian/*.install.  Made the library packages conflict and replace
    the old library, to ease upgrades.
  * Build-depend on libxxf86vm-dev to find
    <X11/extensions/xf86vmode.h> with the new X packages.
  * Need a fix for #320515 in linux-kernel-headers to build
    joystick_linux.cpp.
  * Add build-depend on libglu1-xorg-dev as an alternative to
    'xlibmesa-dev | libgl-dev' to reflect the new package name for the
    GLU library.
  * Change section for libclanlib-devfrom devel to libdevel to match
    the override file.
  * Updated Standards-Version to 3.6.2.1.  No special changes needed.
  * Remove "Bugs: debbugs://bugs.debian.org/" and "Origin: debian"
    from debian/control to avoid lintian warnings.
  * Converted debian/changelog from ISO-8859-1 to UTF-8.
  * New patch:
    - 015_gcc-3.4-fix: Fix build errors on gcc 3.4/4.0.  Patch from
                       Andreas Jochens. (Closes: #266645)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  7 Aug 2005 16:45:26 +0200

clanlib (0.6.5-1-2.2) unstable; urgency=low

  * Non-maintainer upload to fix previous broken NMU
  * Add libxt-dev to build-depends to work around autoconf bug #233980.
    Proper fix would be to fix configure.in, but the workaround is
    simpler so I prefer it for the NMU. (Closes: #245791)
  * New patches:
    - 014_detect_freetype:      correctly detect freetype, test case was broken
    - 014_detect_lua:           correctly detect lua, test case was broken
    - 014_include_freetype-fix: fix freetype include in
                                Sources/TTF/font_ttf.cpp
  
 -- Frank Lichtenheld <djpig@debian.org>  Tue, 27 Apr 2004 01:03:17 +0200

clanlib (0.6.5-1-2.1) unstable; urgency=low

  * NMU with maintainers permission.
  * Patch by Sebastian Muszynski <do2ksm@linkt.de>
    - Permissions of Documentation/FAQ.theme fixed (closes: #206802).
    - Build-dep automake1.6 added (closes: #239460).
  * Changed Build-Depends from automake1.6 to automake

 -- Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>  Sat, 17 Apr 2004 20:24:34 +0200

clanlib (0.6.5-1-2) unstable; urgency=medium

  * Add a patch from the pingus website that fixes jpeg & png image loaders on
    BE systems. (Closes: #145424, #236592)
  * Acknowledge NMU. (Closes: #195972, #196567)
  * Add patch to better support BE architectures. (Closes: #213101)
  * Add patch to get a definition for glXGetProcAddressARB. (Closes: #235236)
    The perl thing seems to be a build environment issue; it does not happen
    here nor on any of the build daemons. (and is the same bug as #206802)

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu, 18 Mar 2004 13:38:50 +0100

clanlib (0.6.5-1-1.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Added 010_gcc-3.3-fix (courtesy of Daniel Schepler), fixing FTBFS
    under GCC 3.3. (Closes: #196567)
  * Added patch 010_full_linking to ensure that all shared libraries are
    explicitly linked to everything they use. (Closes: #195972)

 -- Joel Baker <fenton@debian.org>  Mon, 25 Aug 2003 18:31:58 -0600

clanlib (0.6.5-1-1) unstable; urgency=medium

  * New upstream version.
  * Rebuild once more for DirectFB. (Closes: #182296)
    Actually, don't build with DirectFB at all anymore until there's a small
    display-only package for it.
  * Build-depend on recent vorbis. (Closes: #185326, #185336)
  * Fix a typo in debian/copyright to eliminate a false lintian positive about
    not referring to the system GPL.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 16 Mar 2003 18:22:04 +0100

clanlib (0.6.3-1-3) unstable; urgency=medium

  * Rebuild with gcc 3.2.
  * Change binary package names to conform to policy. (Closes: #141550)

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 12 Jan 2003 22:28:03 +0100

clanlib (0.6.3-1-2) unstable; urgency=low

  * "Behold, there came wise men from the east to Jerusalem"
  * Add explicit zlib builddependency. (Closes: #166864)
  * Rebuild with new DirectFB. (Closes: #175070)

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 06 Jan 2003 23:26:40 +0100

clanlib (0.6.3-1-1) unstable; urgency=low

  * New upstream version.
  * Add missing build dependency, acknowledge NMU. (Closes: #156637)
  * Build with new DirectFB. (Closes: #166279)

 -- Filip Van Raemdonck <mechanix@debian.org>  Fri, 25 Oct 2002 19:38:47 +0200

clanlib (0.6.2-1-1.1) unstable; urgency=low

  * NMU
  * Add missing Build-Depends: bzip2.  Closes: #156637

 -- LaMont Jones <lamont@debian.org>  Sat, 17 Aug 2002 14:31:01 -0600

clanlib (0.6.2-1-1) unstable; urgency=low

  * New upstream version.
  * Convert to DBS. Clean up debian/rules a lot in the process.
  * Rebuild with libdirectfb-0.9-12.
  * Build against shared tolua libraries. (Closes: #148700)
  * There is a configure now, remove autoconf from Build-Depends:.
  * Remove the Provides: and Replaces: from the control file, as they're not
    true.

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu, 08 Aug 2002 20:53:16 +0200

clanlib (0.6.1-1-4) unstable; urgency=medium

  * Remove stale `<' file from debian diff.
  * Rebuild against newer DirectFB. (Closes: #147986)
    This requires a patch backport from CVS.
  * Rebuild with libpng3-dev now, too; adjust Build-Depends:. (Closes: #154587)
  * This was a woody issue, and clanlib0 has been reinstalled into woody now
    so this is resolved (be it not completely the way I would've wanted).
    (Closes: #148821)
  * Make clanlib-dev conflict on clanlib2 << 0.6.1-1-3 to avoid clanlib-config
    problems. (Closes: #149781)
  * Patch Setup/Unix/Makefile.conf.in and Setup/Unix/Makefile.core.in to
    handle ${mandir}; add the manpage into the upstream directory layout.

 -- Filip Van Raemdonck <mechanix@debian.org>  Wed, 31 Jul 2002 22:50:18 +0200

clanlib (0.6.1-1-3) unstable; urgency=low

  * Ask for debhelper >= 4 now that it has moved to woody, and set DH_COMPAT=4
    for the entire debian/rules file; use dh_install instead of dh_movefiles.
  * Install clanlib-config (and it's manpage) into the clanlib-dev package,
    not in clanlib2. (Closes: #146904)
    Install this manpage by hand, because dh_installman appears to be broken.
  * Add a Build-Conflicts: for libutahglx-dev, since it doesn't meet the Linux
    OpenGL ABI specification (glXGetProcAddressARB is missing, and clanlib
    needs it).
    Make clanlib2-gl conflict with libutahglx1, too, to avoid getting runtime
    bug reports.
  * Add ClanLua module. (Closes: #145223)
  * Patches:
    = configure, makefile: deal with the changed lua soname in the Debian
      packages. Add a decent test to handle the Debian Xxf86vm_pic library
      name.
    = soundproviders: another patch by Michel Dänzer; fixes signedness issues
      which prevented LE architectures from working.
    - inputsource: back out for now because it causes breakage on
      little-endian system.

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon,  6 May 2002 19:47:54 +0200

clanlib (0.6.1-1-2) unstable; urgency=low

  * Set individual Conflicts: on all packages. I still believe this is apt's
    bug. (Closes: #142154)
  * Fix spelling errors. (Closes: #141595)
  * Thanks to Michel Dänzer for cleaning up endian problems, again.
    (Closes: #142348)
  * Patches:
    = configure: use autoconf 2.50. (Closes: #142631)
    + inputsource: make the various _read*() methods endian-clean.
    + os_cpp: make game builds on ppc not fail because of an incorrect
      soundcard test.
    + provider_targa: replace pointer arithmetic by endian-safe array
      operations.
    + soundproviders: don't try to read wave file info as a whole into a
      memory chunk but read the members separately.
 
 -- Filip Van Raemdonck <mechanix@debian.org>  Fri,  3 May 2002 21:58:44 +0200

clanlib (0.6.1-1-1) unstable; urgency=high

  * New upstream version.
  * Run autoconf in debian/rules, as upstream forgot to include configure.
    Consequently, clean configure, too.
  * Hopefully powerpc (and hppa too?) will finally build now.
    Don't build with "-g3 -gdb3" by default. Thanks to Michel Dänzer for
    looking into this. (Closes: #141813)

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue,  9 Apr 2002 19:10:24 +0200

clanlib (0.6.0-2-2) unstable; urgency=high

  * Aargh. I tested the first build by setting symlinks manually, then forgot
    to rebuild with a new soname version in the package name before uploading.
    (Closes: #140976)
  * Try to make the build script a bit more generic while I'm at it.

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu,  4 Apr 2002 19:50:42 +0200

clanlib (0.6.0-2-1) unstable; urgency=medium

  * New upstream version. Since this upload fixes some FTBFS bugs, I'm setting
    medium urgency.
  * Build against recent directfb. (Closes: #139878)
  * Really, really use -ffunction-sections this time. (Closes: #140149)
  * ClanLib still needs to builddepend on xlibs-dev, not just xlibs-pic.
    (Closes: #140261)
  * Patches:
    - bufferoverflow, dfb: applied upstream.
    - gcc3: partially applied upstream. The rest has gone into configure.
    + configure: the remaining part of gcc3. Also added the rpath fixes.
    + docs: Documentation/ subtree Makefile fixes (from Andreas' work).
      Rediff first.
    = makefile: rediff.

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue,  2 Apr 2002 20:18:20 +0200

clanlib (0.5.4-1-6) unstable; urgency=high

  * We need CXXFLAGS, not CFLAGS...
  * Current versions of clanlib don't install this way anymore, so m68k
    already builds these versions. (Closes: #135622)

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 25 Feb 2002 22:46:37 +0100

clanlib (0.5.4-1-5) unstable; urgency=high

  * Add -ffunction-sections correctly this time, instead of breaking the whole
    build on the affected architectures.
  * Patches:
    + bounds: add stricter bounds checking to avoid pingus segfaults on alpha.
      (Closes: #134800)

 -- Filip Van Raemdonck <mechanix@debian.org>  Wed, 20 Feb 2002 13:58:20 +0100

clanlib (0.5.4-1-4) unstable; urgency=high

  * Remove SmallJPEG plugin on i386, too. Upstream says it is scheduled for
    removal anyway. (Closes: #134057)
  * Previous upload already fixed the i386 assembler bug. (Closes: #133930)
  * Add -ffunction-sections for HPPA; I hope this fixes PowerPC and Mipsel too.
    (Closes: #134124)
  * Don't build docs in build target, as docs_install insists on rebuilding
    them anyway.
  * Patches:
    + makefile: show link commands for easier build inspection. Note to
      porters: the compile commands are already printed at the start of the
      build, as the first rule for $(MAKE).

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 18 Feb 2002 19:59:41 +0100

clanlib (0.5.4-1-3) unstable; urgency=high

  * HIGH: builddepend on xlibs-pic and link to pic version of vidmode library.
  	(Closes: #133664)
  * Don't build SmallJPEG plugin on non-x86 architectures.
  * Patches:
    = gcc3: Xxf86vm_pic linking.

 -- Filip Van Raemdonck <mechanix@debian.org>  Wed, 13 Feb 2002 22:45:26 +0100

clanlib (0.5.4-1-2) unstable; urgency=high

  * HIGH: update Build-Depends:. (Closes: #133153)
  * Add >= 0.5.4-1 to shlibs file. Do this with DH_COMPAT=4; builddepend on
    debhelper >= 3.0.40 because of this. Set DH_COMPAT=4 only for
    dh_makeshlibs call though.

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 11 Feb 2002 21:57:20 +0100

clanlib (0.5.4-1-1) unstable; urgency=high

  * Still hasn't made it into the archives, because of upstream bugs. I hope
    this one does. Urgency high for the same reason as the previous version.
    (Closes: #120182)
  * Update Build-Depends:
    - SVGALib and GGI are not used anymore.
  * Start using dpatch system:
    - bufferoverflow: Fix some potential and real (cfr. BugTraq advisory)
      buffer overflows.
    - gcc3: fixes to build with gcc3. (Closes: #130248)
    - dfb: small fix to make ClanLib build with latest directfb packages.
  * Make sure clanlib-dev Depends: on all other clanlib library packages and
    all development packages for the libraries those use. This makes it a huge
    Depends: line, and you'll have to install a whole slew of packages if you
    want to build something with ClanLib, but this is better than splitting
    clanlib-dev into separate packages - there are enough packages for runtime
    only already.
  * Remove Depends: debconf from the primary clanlib package.

 -- Filip Van Raemdonck <mechanix@debian.org>  Wed, 23 Jan 2002 22:00:22 +0100

clanlib (0.5.3-1-1) unstable; urgency=high

  * Urgency high because next to no programs are buildable with the version
    which is in testing.
  * Don't call autogen.sh in debian/rules and remove the build dependency on
    automake.
  * Remove libmagick5-dev from the build dependencies, too - current versions
    of ClanLib don't use it anymore; add libjpeg62-dev as that doesn't get
    pulled in automatically anymore, and we still want to build with jpeg
    support.
  * Build with libpng-dev instead of libpng2-dev.
  * Build with libfreetype6-dev instead of libttf2-dev.
  * Add support for DirectFB; add pkg-config to the Build-Depends: as the
    directfb configure test requires it.
  * Enable VidMode support.
  * The spelling errors were fixed already. (Closes: #124499, #124500, #124501,
      #124502, #124503, #124504, #124505, #124506, #124507)
  * Modify configure to not use -rpath when linking. Strangely enough the
    corresponding code in configure.in does not set -rpath.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 13 Jan 2002 21:35:31 +0100

clanlib (0.5.1-3) unstable; urgency=low

  * Removed postinst templates again. Instead fixed rules file:
        dh_makeshlibs
        dh_installdeb
    makes sure that debhelper creates the correct ldconfig in postinst
    (this was formerly in the wrong order!)
    This also creates the /usr/doc symlinks.
  * Took back the CVS patch for relative path names because it does more
    harm than good - hooping for a new upstram version.
    (The patch is just supplied as debian/fix_relative_pathnames.patch for
    those brave programmers who want to step in ...)

 -- Andreas Tille <tille@debian.org>  Sat, 22 Dec 2001 08:47:57 +0100

clanlib (0.5.1-2) unstable; urgency=low

  * The "Lintian Clean" (TM) revision.
  * Fix typo in debian/rules, so libraries get stripped.
  * Install the "ldconfig-symlinks" into the normal binary packages, not in
    clanlib-dev.
  * Remove -rpath from the link flags.
  * Remove duplicate "clanlib" dependencies from module debs.
  * Give clanlib-doc its own /usr/share/doc directory.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sat,  8 Dec 2001 09:53:23 +0100

clanlib (0.5.1-1) unstable; urgency=low

  * Thanks to Andreas for doing the grunt work (packaging of 0.5 branch).
  * Apply spelling fixes from Matt Zimmerman.
  * Get rid of the Conflicts:/Replaces: cruft for clanlib; clanlib0 packages
    have never been released until now anyway and I'll assume (and only
    support) upgrades from the package that have been in unstable since potato
    was released.
  * Add automake Build-Depends:.

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu,  6 Dec 2001 20:47:18 +0100

clanlib (0.5.1-0.1) unstable; urgency=low

  * NMU
  * Standards-Version: 3.5.6
  * added libvorbis-dev Build-Dependency
  * tried with the Debian version of liblua4-dev which would require
    a patch to detect the 4.1 (alpha) but did not work
  * Removed clanMagick target which did had no rule to build.
  * Applied upstream patch from CVS to avoid loading relative path names.
  * Reorganisation of debian packages.  Now the packages are
       clanlib           - main libraries
       clanlib-dev       - header and static libraries
       clanlib-doc       - HTML documentation
       clanlib-examples  - Examples
       clanlib-gl        - OpenGL modul (dynamic library)
       clanlib-gui       - GUI modul (dynamic library)
       clanlib-jpeg      - JPEG modul (dynamic library)
       clanlib-mikmod    - MikMod modul (dynamic library)
       clanlib-network   - Network modul (dynamic library)
       clanlib-png       - PNG modul (dynamic library)
       clanlib-smalljpeg - SmallJPEG modul (dynamic library)
       clanlib-sound     - Sound modul (dynamic library)
       clanlib-ttf       - TTF modul (dynamic library)
       clanlib-vorbis    - Vorbis modul (dynamic library)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Nov 2001 16:29:40 +0100

clanlib0 (0.4.4-8) unstable; urgency=high

  * The "I've been hiding under a rock for two weeks" release.
  * Fix Build-Depends: for svgalib. (Closes: #115171, #115270)

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue, 23 Oct 2001 17:33:51 +0200

clanlib0 (0.4.4-7) unstable; urgency=high

  * Apply patch from John R. Daily to fix ia64 build problems.
    (Closes: #114771, #114888)
  * Fix more compiler warnings.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 30 Sep 2001 19:03:58 +0200

clanlib0 (0.4.4-6) unstable; urgency=high

  * Fix another alpha build problem. (Closes: #113954)
  * Fix a few compiler warnings, too.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 30 Sep 2001 19:03:58 +0200

clanlib0 (0.4.4-5) unstable; urgency=high

  * Fix endianness issues with the datacompiler, thanks to a patch from Michel
    Dänzer. (Closes: #49806, #96241)

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 27 Aug 2001 16:05:46 +0200

clanlib0 (0.4.4-4) unstable; urgency=high

  * Apply an NMU from Stephen Frost that apparently never made it through;
    fixes alpha build issues, adds libmagick support back in.
    (Closes: #81301, #89901, #94003)
  * Add libmagick5-dev to Build-Depends.
  * Patch Makefile.in to not remove configure on distclean, to make build
    process omnipotent and idempotent.
    Make it also keep out of debian/ while removing things.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sat, 25 Aug 2001 16:47:15 +0200

clanlib0 (0.4.4-3) unstable; urgency=high

  * Add German debconf translation, thanks Sebastian Feltel. (Closes: #109141)
  * Fix manpage template to avoid whatis parsing errors. (Closes: #109347)
  * Put svgalib display target back in for non-i386, Build-Depend on
    svgalibg1-dev | svgalib-dummyg1. (Closes: #109018)
  * Add debugging statements to the datafile compiler, so hopefully the PowerPC
    issues may become a little clearer.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sat, 25 Aug 2001 16:47:15 +0200

clanlib0 (0.4.4-2) unstable; urgency=high

  * Forgot to set the Maintainer: field in debian/control last time.
  * Close the "fixed"-tagged bugs from previous upload.
    (Closes: #40457, #61478, #61860, #62357, #75477, #79117, #92155, #93041)
    (Closes: #100912, #106511)
  * So I uploaded a new version last time. (Closes: #68935)
  * Close older fixed bugs. (Closes: #61601)
  * Set priority to optional. (Closes: #54750)
  * Fix broken build-depends (svgalib is i386 only). (Closes: #108543)
  * Don't have versioned Depends: on virtual clanlib0-display. In fact, don't
    Depends: at all, make it Suggests:. (Closes: #108544)
  * Make sure users can't overlook that they need also need to install the
    display type they choose in debconf. (Closes: #63092)

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 12 Aug 2001 23:05:36 +0200

clanlib0 (0.4.4-1) unstable; urgency=high

  * New Maintainer
  * Add Build-Depends. (Closes: #61478)
  * Rebuild with a lot of updated libraries.
    (Closes: #61860, #62357, #75477, #79117, #92155, #93041, #100912, #106511)
  * Clanlib is already build with shared mikmod and png libraries.
    (Closes: #40457)
  * Remove libmagick support, it is gone in the clanlib development version
    already, and the API in libmagick5 has changed too much for clanlib to
    be buildable.
  * Remove libsmpeg for API problems as well. This one should eventually get
    back in.
  * Add ${LD_LIBRARY_PATH:+} hack in debian/rules for shlib deps.
  * Fix Sources/GUI/cl_gtextfield.cpp to include ctype.h and use just isprint()
    instead of std::isprint().
  * Remove stale templates from debian/.
  * Add a manpage for clanlib-config script.
  * Remove -rpath from the library link flags.
  * Don't install COPYING and INSTALL in /usr/share/doc/.
  * Remove clanlib0-common from it's own Replaces: field.
  * Remove shlibs.local file.
  * Uncomment call to dh_makeshlibs.

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue, 31 Jul 2001 17:53:45 +0200

clanlib0 (0.4.3-1) unstable; urgency=low

  * New upstram version
  * Closes: #57175, #60675, #53954

 -- Vaidhyanathan G Mayilrangam <vaidhy@debian.org>  Tue, 21 Mar 2000 19:34:03 -0500

clanlib0 (0.2.3-3) unstable; urgency=low

  * Closes: #54470 

 -- Vaidhyanathan G Mayilrangam <vaidhy@debian.org>  Mon, 10 Jan 2000 10:05:26 -0500

clanlib0 (0.2.3-2) unstable; urgency=low

  *  Fixed the location of Clanlib-docs 
  *  Closes: #51803
  *  Applied the patch for non i386 arch. Closes: #41057

 -- Vaidhyanathan G Mayilrangam <vaidhy@debian.org>  Tue,  4 Jan 2000 17:24:25 -0500

clanlib0 (0.2.3-1) unstable; urgency=low 

  * New upstream stable release

 -- Vaidhyanathan G Mayilrangam <vaidhy@debian.org>  Thu, 23 Dec 1999 12:00:13 -0500

clanlib0 (0.2.2-1) unstable; urgency=high

  * New upstream release (fixed lots of bugs)

 -- Daniel Patterson <danpat@debian.org>  Thu, 25 Nov  1999 10:39:03 +1100

clanlib0 (0.2.0-2) unstable; urgency=low

  * Fixed svga /etc/clanlib.conf
  * Renamed -display-svgalib to -display-svga
  * Fixed datafile_compiler manual mixups (present in 2 packages)
  * Fixed location of libclan-input-tty
  * Fixed postisnt scripts all over the place
  * Fixed circular dependency between -common and -display-x11

 -- Daniel Patterson <danpat@debian.org>  Sun,  7 Nov  1999 20:15:12 +1000

clanlib0 (0.2.0-1) unstable; urgency=high

  * New upstream release
  * Complete overhaul of debian/rules hopefully builds will be easier
    from now on.
  * Relies on dpkg >= 1.4.1.17 because of very long filenames in the -docs
    package

 -- Daniel Patterson <danpat@debian.org>  Sun,  7 Nov  1999 09:06:31 +1000

clanlib0 (0.1.19-0.1) unstable; urgency=low

  * NMU
  * New upstream release
  * Sound and network libs are now installed in /usr/lib/ClanLib.
  * Don't use libgl until its actually installed in Debian.

 -- Fredrik Hallenberg <hallon@debian.org>  Mon, 18 Oct 1999 11:17:41 +0200

clanlib0 (0.1.18-1) unstable; urgency=medium
 
  * New upstream version
 
 -- Daniel Patterson <danpat@debian.org>  Thu,   9 Sep 1999 17:46:32 +1000
 
clanlib0 (0.1.16-2) unstable; urgency=medium

  * Added the --enable-dyn option to the build process so that
    libclan.so.0.1.16 wasn't linked against ghost libraries.

 -- Daniel Patterson <danpat@debian.org>  Tue,  27 Jul 1999 17:08:01 +1000

clanlib0 (0.1.16-1) unstable; urgency=low

  * New upstream version

 -- Daniel Patterson <danpat@debian.org>  Mon,  26 Jul 1999 20:14:32 +1000

clanlib0 (0.1.15-4) unstable; urgency=medium

  * Fixed old dependency problem with clanlib0-utils depending
    on clanlib0 which is no longer pertinant.

 -- Daniel Patterson <danpat@debian.org>  Thu,   1 Jul 1999 20:52:38 +1000

clanlib0 (0.1.15-3) unstable; urgency=medium

  * Split up clanlib0-dev into clanlib0-common-dev and various
    clanlib0-display-*-dev packages (closes #39771)
  * Fixed typo in Replaces: in clanlib0-common (closes #39770)
  * Added postinst scripts for the various clanlib0-display-*
    packages to update /etc/clanlib.conf

 -- Daniel Patterson <danpat@debian.org>  Wed,  23 Jun 1999 13:51:14 +1000

clanlib0 (0.1.15-2) unstable; urgency=medium

  * Fixed loading of libraries with ".so" extensions, still need
    to fix this upstream.

 -- Daniel Patterson <danpat@debian.org>  Thu,  10 Jun 1999 13:14:00 +1000

clanlib0 (0.1.15-1) unstable; urgency=low

  * New upstream release

 -- Daniel Patterson <danpat@debian.org>  Tue,   8 Jun 1999 21:00:00 +1000

clanlib0 (0.1.14-3) unstable; urgency=low

  * Fixed architectures in debian/control (only works on i386 atm)

 -- Daniel Patterson <danpat@debian.org>  Sat,  22 May 1999 11:25:00 +1000

clanlib0 (0.1.14-2) unstable; urgency=low

  * Fixed debian/rules to remove debian/substvars and debian/files
    during the "clean" phase.

 -- Daniel Patterson <danpat@debian.org>  Mon,  10 May 1999 20:31:15 +1000

clanlib0 (0.1.14-1) unstable; urgency=low

  * Initial release

 -- Daniel Patterson <danpat@debian.org>  Sat,   8 Apr 1999 14:00:00 +1000

